package com.menagerie.ophelia.view.newUser

import android.annotation.SuppressLint
import android.util.Log
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.LinearProgressIndicator
import androidx.compose.material3.Scaffold
import androidx.compose.runtime.Composable
import androidx.compose.runtime.livedata.observeAsState
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.lifecycle.viewmodel.compose.viewModel
import com.menagerie.ophelia.database.polycule.entity.viewmodel.BioDetailViewModel
import com.menagerie.ophelia.view.OpheliaFace
import com.menagerie.ophelia.view.OpheliaPronounsIntroduction

@SuppressLint("UnusedMaterial3ScaffoldPaddingParameter")
@Composable
fun AddPronounsScreen(
) {
    val mBioDetailViewModel: BioDetailViewModel = viewModel(
    )
    mBioDetailViewModel.setBio(bioId = 1)

    val bio = mBioDetailViewModel.bio.observeAsState().value

    Scaffold {
        if (bio != null) {
            Column {
                OpheliaFace(
                    modifier = Modifier
                        .align(Alignment.CenterHorizontally)
                        .padding(top = 12.dp)
                )
                LinearProgressIndicator(
                    progress = .33f,
                    modifier = Modifier.fillMaxWidth()
                )
                OpheliaPronounsIntroduction(modifier = Modifier.weight(1f), name = bio.name)
                PronounBox()
            }
        }
    }
}

@Composable
fun PronounBox()
{

}